<?xml version="1.0"?>
<opencv_storage>

    <VIP_Frontend>

        <Face_INIT_Params>

            <Worker_Num>3</Worker_Num>

            <Worker_DETS_Num>3</Worker_DETS_Num>

            <Worker_DETW_Num>2</Worker_DETW_Num>

            <Model_Mode>0</Model_Mode>

            <str_face_detect_model_dl>faceDetector_3_15deepnet1_4_3.mdl</str_face_detect_model_dl>

            <str_face_detect_model>faceDetector_2_4.mdl</str_face_detect_model>

            <str_face_keypt_model_dl>landmarks_2_0_2.bin</str_face_keypt_model_dl>

            <str_face_quality_model>face_quality_4_2.bin</str_face_quality_model>

        </Face_INIT_Params>

        <Face_DetTrack_Params>

            <Faces_Num_Max_Frame>20</Faces_Num_Max_Frame>

            <Neighbors_Num_Min>2</Neighbors_Num_Min>

            <scale_up_ratio>1.2000000476837158e+000</scale_up_ratio>

            <scale_up_ratio_dl>7.0899999141693115e-001</scale_up_ratio_dl>

            <step_win_in_pixel_dl>2</step_win_in_pixel_dl>

            <Win_Step_Ratio>1.2999999523162842e-001</Win_Step_Ratio>

            <Local_ImgSize_Expand_Ratio>1.7999999523162842e+000</Local_ImgSize_Expand_Ratio>

            <Local_FaceSize_Range_Ratio>1.2999999523162842e+000</Local_FaceSize_Range_Ratio>

            <Post_Detect_Frequency>0</Post_Detect_Frequency>

            <Lost_Track>1</Lost_Track>

            <Frame_Num_For_New>2</Frame_Num_For_New>

            <Perfmon_Level>1</Perfmon_Level>

            <Image_Preprocess_Mode>0</Image_Preprocess_Mode>

            <ImgAligned_Color_Mode>1</ImgAligned_Color_Mode>

            <Fake_Face_Filter_Aggregate>0.</Fake_Face_Filter_Aggregate>

            <face_filter_over_small>1</face_filter_over_small>

            <best_face_first_threshold>8.0000001192092896e-001</best_face_first_threshold>

            <open_property_by_detector>0</open_property_by_detector>

            <filt_by_detected_angle_threshold>0</filt_by_detected_angle_threshold>

            <fast_quality_mode>0</fast_quality_mode>

            <frame_data_reused>1</frame_data_reused>

            <Quality_TotalScore_Switch>1</Quality_TotalScore_Switch>

            <Quality_IMG_Switch>0</Quality_IMG_Switch>

            <Quality_Skinness_Switch>1</Quality_Skinness_Switch>

            <Quality_Pose_Switch>0</Quality_Pose_Switch>

            <Quality_EyeOpenness_Switch>0</Quality_EyeOpenness_Switch>

            <Quality_MouthOpenness_Switch>0</Quality_MouthOpenness_Switch>

            <Quality_BlackFrameglass_Switch>0</Quality_BlackFrameglass_Switch>

            <Quality_Sunglass_Switch>0</Quality_Sunglass_Switch>

            <Quality_EyeOcclusion_Switch>0</Quality_EyeOcclusion_Switch>

            <Quality_MogClearness_Switch>0</Quality_MogClearness_Switch>

            <All_Score_Switch>0</All_Score_Switch>

        </Face_DetTrack_Params>

    </VIP_Frontend>
</opencv_storage>
